AMLABEL(8)

NAME
amlabel - label an Amanda tape

SYNOPSIS

amlabel [--barcode barcode] [--meta meta-label] [--assign] [-f] [--version] [-o configoption...] config [label] [slot slot]

DESCRIPTION

This command applies a label to an Amanda volume, erasing the volume in the process.

Amanda uses labels to identify volumes: amdump(8) and amflush(8) verify the label before writing to make sure the proper volume is loaded, and the recovery programs use the label to ensure they are reading the data they expect.

If no [slot] and no [barcode] is given, then amlabel labels the tape in the current slot of the default changer. If a slot is given, it labels the volume in that slot. If a barcode is given, it labels the volume with that barcode. Label may be any string that does not contain whitespace and that matches the labelstr (see amanda.conf(5)).

If [label] is not given, an autolabel is generated, see autolabel in amanda.conf(5).

If [--assign] is given, the barcode and meta-label are assigned to the label without labeling the volume. The label must already be in the tapelist file.

This command also appends the new volume to the tapelist(5) file, so that they will be used in the order they are labeled (depending on the taperscan in use — see amanda-taperscan(7)).

As a precaution, amlabel will not write a label if the volume already contains an active label or if the label specified is on an active tape. The [-f] (force) flag bypasses these verifications.

OPTIONS

--barcode barcode
    With [--assign], assign the barcode to the label. Without [--assign], label the volume with that barcode.

--meta meta-label
    Assign the meta label to the label after labeling the volume.

--assign
    Assign the barcode or meta-label to the label without labeling the volume. The label must already be in the tapelist file.

-f
    Force the label operation; see above

--version
    Output version information

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

EXAMPLE

Write an Amanda label with the string "DMP000" on the current volume:
% amlabel daily DMP000

Label the tape in slot 3 of the changer with the label "DMP003":
% amlabel daily DMP003 slot 3

MESSAGES

Label 'label' doesn't match labelstr 'labelstr'
    The given label does not match the configured labelstr. Even with -f, this is an error.

Label 'label' already on a volume
    The given label is already on another volume in the tapelist, and Amanda will not write it to this volume unless forced.

Found label 'label', but it is not from configuration config.
    The label amlabel found on the volume does not match this configuration's labelstr, so it is probably part of a different Amanda configuration. Amanda will not overwrite the label unless it is forced.

Volume with label 'label' contains data from this configuration.
    The label amlabel found on the volume still has valid data on it and Amanda will not overwrite it unless forced. Note that this does not distinguish between active and inactive volumes.

SEE ALSO

amanda(8), amanda.conf(5), tapelist(5), amanda-taperscan(7), amdump(8), amflush(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

James da Silva <jds@amanda.org>

Stefan G. Weichinger <sgw@amanda.org>

Dustin J. Mitchell <dustin@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)